Subject: Re: bug#27386: offloading documentation and env

From: [email-masked] (Ludovic Courtès)
Date: Fri, 29 Sep 2017 09:49:54 +0200

Hello Divan,

Divan Santana <[email-masked]> skribis:

> So guixsd.santanas.co.za is my build system VM.
> Laptop, is a guixsd system I want to not compile code, and rather offload.
>
> root@laptop ~# ssh [email-masked] env |grep GUILE_
>
> Returns nothing.
>
> However, an interactive session has the correct environment variables.
> So I suppose one could set this via the .zshenv or .bash_profile .

Right.  On GuixSD, the default .bash_profile sources .bashrc, and the
default .bashrc has this:

--8<---------------cut here---------------start------------->8---
if [ -n "$SSH_CLIENT" -a -z "`type -P cat`" ]
then
    # We are being invoked from a non-interactive SSH session
    # (as in "ssh host command") but 'cat' cannot be found
    # in $PATH.  Source /etc/profile so we get $PATH and other
    # essential variables.
    source /etc/profile
fi
--8<---------------cut here---------------end--------------->8---

I suggest you do something similar.

HTH!

Ludo’.